loci.formats.in

## Class ZeissCZIReader.Channel

- java.lang.Object
- - loci.formats.in.ZeissCZIReader.Channel

- Enclosing class:
    ZeissCZIReader

      static class ZeissCZIReader.Channel
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `ome.xml.model.enums.AcquisitionMode` | `acquisitionMode`
    `java.lang.String` | `color`
    `java.lang.String` | `emission`
    `java.lang.String` | `excitation`
    `java.lang.Double` | `exposure`
    `java.lang.String` | `filterSetRef`
    `java.lang.String` | `fluor`
    `java.lang.Double` | `gain`
    `ome.xml.model.enums.IlluminationType` | `illumination`
    `java.lang.String` | `intensity`
    `java.lang.String` | `lightSourceRef`
    `java.lang.String` | `name`
    `java.lang.String` | `pinhole`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Channel()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### name

          public java.lang.String name

    - #### color

          public java.lang.String color

    - #### illumination

          public ome.xml.model.enums.IlluminationType illumination

    - #### acquisitionMode

          public ome.xml.model.enums.AcquisitionMode acquisitionMode

    - #### emission

          public java.lang.String emission

    - #### excitation

          public java.lang.String excitation

    - #### pinhole

          public java.lang.String pinhole

    - #### exposure

          public java.lang.Double exposure

    - #### gain

          public java.lang.Double gain

    - #### fluor

          public java.lang.String fluor

    - #### filterSetRef

          public java.lang.String filterSetRef

    - #### intensity

          public java.lang.String intensity

    - #### lightSourceRef

          public java.lang.String lightSourceRef

  - ### Constructor Detail

    - #### Channel

          Channel()

Copyright © 2026 Open Microscopy Environment